version: 1
name: Tux Plan
description: Generated plan from tuxsuite cli
jobs:
- name: Tux Plan
  build:
    build_name: clang-nightly-lkftconfig-lto-thing
    kconfig:
    #- https://storage.tuxsuite.com/public/linaro/lkft/builds/2vAeOjyPUXVOsiD1iG24CWprwQc/config
    - defconfig
    - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/netdev.config
    - CONFIG_LTO_CLANG_THING=y
    #git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
    target_arch: arm64
    toolchain: clang-nightly
    #git_sha: acc4d5ff0b61eb1715c498b6536c38c1feb7f3c1
    environment: {}
    image_sha: 20250319
    targets: []
    make_variables:
      LLVM: '1'
      LLVM_IAS: '1'
    kernel_image: ''
    image_sha: ''
    no_cache: false
    is_public: true
  tests:
  - device: rk3399-rock-pi-4b
    lava_test_plans_project: null
    lab: https://lkft.validation.linaro.org
    bios: null
    boot_args: null
    parameters:
      DEPLOY_OS: debian
      LAVA_JOB_PRIORITY: 97
      MODULES_PATH: /usr/
      LAVA_QUEUE_TIMEOUT: 72
      SQUAD_URL: https://qa-reports.linaro.org//api/submit/lkft/linux-mainline-master/v6.14-12456-gacc4d5ff0b61/env/
      SKIPFILE: skipfile-lkft.yaml
    dtb: rockchip/rk3399-rock-pi-4b.dtb
    kernel: null
    boot: null
    modules: null
    rootfs: https://storage.tuxboot.com/debian/trixie/arm64/rootfs.tar.xz
    tests: []
    commands: []
    qemu_image: null
    timeouts:
      boot: 5
    is_public: true
    tuxbuild: https://storage.tuxsuite.com/public/linaro/lkft/builds/2vAeOjyPUXVOsiD1iG24CWprwQc/
    overlay: []

